Fl_Bitmap Class Reference

The Fl_Bitmap class supports caching and drawing of mono-color (bitmap) images. More...

`#include <Fl_Bitmap.H>`

Inheritance diagram for Fl_Bitmap:

## Public Member Functions

virtual Fl_Image * | copy (int W, int H)
| The copy() method creates a copy of the specified image. More...
Fl_Image * | copy ()
virtual void | draw (int X, int Y, int W, int H, int cx=0, int cy=0)
| Draws the image with a bounding box. More...
void | draw (int X, int Y)
| Fl_Bitmap (const uchar *bits, int W, int H)
| The constructors create a new bitmap from the specified bitmap data. More...
| Fl_Bitmap (const char *bits, int W, int H)
| The constructors create a new bitmap from the specified bitmap data. More...
virtual void | label (Fl_Widget *w)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item. More...
virtual void | label (Fl_Menu_Item *m)
| The label() methods are an obsolete way to set the image attribute of a widget or menu item. More...
virtual void | uncache ()
| If the image has been cached for display, delete the cache data. More...
virtual | ~Fl_Bitmap ()
| The destructor free all memory and server resources that are used by the bitmap.
Public Member Functions inherited from Fl_Image
virtual void | color_average (Fl_Color c, float i)
| The color_average() method averages the colors in the image with the FLTK color value c. More...
Fl_Image * | copy ()
| The copy() method creates a copy of the specified image. More...
int | count () const
| The count() method returns the number of data values associated with the image. More...
int | d () const
| Returns the current image depth. More...
const char *const * | data () const
| Returns a pointer to the current image data array. More...
virtual void | desaturate ()
| The desaturate() method converts an image to grayscale. More...
void | draw (int X, int Y)
| Draws the image. More...
| Fl_Image (int W, int H, int D)
| The constructor creates an empty image with the specified width, height, and depth. More...
int | h () const
| Returns the current image height in pixels.
void | inactive ()
| The inactive() method calls color_average(FL_BACKGROUND_COLOR, 0.33f) to produce an image that appears grayed out. More...
int | ld () const
| Returns the current line data size in bytes. More...
int | w () const
| Returns the current image width in pixels.
virtual | ~Fl_Image ()
| The destructor is a virtual method that frees all memory used by the image.

## Public Attributes

int | alloc_array
| Non-zero if array points to bitmap data allocated internally.
const uchar * | array
| pointer to raw bitmap data

## Friends

class | Fl_GDI_Graphics_Driver
class | Fl_Quartz_Graphics_Driver
class | Fl_Xlib_Graphics_Driver

## Additional Inherited Members

Protected Member Functions inherited from Fl_Image
void | d (int D)
| Sets the current image depth.
void | data (const char *const *p, int c)
| Sets the current array pointer and count of pointers in the array.
void | draw_empty (int X, int Y)
| The protected method draw_empty() draws a box with an X in it. More...
void | h (int H)
| Sets the current image height in pixels.
void | ld (int LD)
| Sets the current line data size in bytes.
void | w (int W)
| Sets the current image width in pixels.
Static Protected Member Functions inherited from Fl_Image
static void | labeltype (const Fl_Label *lo, int lx, int ly, int lw, int lh, Fl_Align la)
static void | measure (const Fl_Label *lo, int &lw, int &lh)

## Detailed Description

The Fl_Bitmap class supports caching and drawing of mono-color (bitmap) images.

Images are drawn using the current color.

## Constructor & Destructor Documentation

Fl_Bitmap::Fl_Bitmap | ( | const uchar * | bits,
|  | int | W,
|  | int | H
| ) |  |

inline

The constructors create a new bitmap from the specified bitmap data.

Fl_Bitmap::Fl_Bitmap | ( | const char * | array,
|  | int | W,
|  | int | H
| ) |  |

inline

The constructors create a new bitmap from the specified bitmap data.

## Member Function Documentation

Fl_Image * Fl_Bitmap::copy | ( | int | W,
|  | int | H
| ) |  |

virtual

The copy() method creates a copy of the specified image.

If the width and height are provided, the image is resized to the specified size. The image should be deleted (or in the case of Fl_Shared_Image, released) when you are done with it.

Reimplemented from Fl_Image.

void Fl_Bitmap::draw | ( | int | X,
|  | int | Y,
|  | int | W,
|  | int | H,
|  | int | cx = `0`,
|  | int | cy = `0`
| ) |  |

virtual

Draws the image with a bounding box.

This form specifies a bounding box for the image, with the origin (upper-lefthand corner) of the image offset by the cx and cy arguments.

Reimplemented from Fl_Image.

void Fl_Bitmap::label | ( | Fl_Widget * | widget | ) |

virtual

The label() methods are an obsolete way to set the image attribute of a widget or menu item.

Use the image() or deimage() methods of the Fl_Widget and Fl_Menu_Item classes instead.

Reimplemented from Fl_Image.

void Fl_Bitmap::label | ( | Fl_Menu_Item * | m | ) |

virtual

The label() methods are an obsolete way to set the image attribute of a widget or menu item.

Use the image() or deimage() methods of the Fl_Widget and Fl_Menu_Item classes instead.

Reimplemented from Fl_Image.

void Fl_Bitmap::uncache | ( |  | ) |

virtual

If the image has been cached for display, delete the cache data.

This allows you to change the data used for the image and then redraw it without recreating an image object.

Reimplemented from Fl_Image.

The documentation for this class was generated from the following files:

- Fl_Bitmap.H
- Fl_Bitmap.cxx

- © 1998-2012 by Bill Spitzak and others.